Page MenuHomePhabricator

jquery.i18n does not support loading a single message file for all languages from a URL
Closed, ResolvedPublic

Description

$.i18n can load translations from a URL, and it can load translations for all languages from a single object, but as far as I can tell it currently can’t load translations for all languages from a single URL, which is a confusing and unnecessary restriction.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 31 2019, 8:13 AM

Patch merged and available as 1.0.7 version at npm ( https://www.npmjs.com/package/@wikimedia/jquery.i18n )

Thanks! Do you know when it’ll be updated in MediaWiki? I discovered this while working on a gadget, so I’ll have to keep my workaround until the fixed version is shipped via ResourceLoader.

I have submitted a patch to upgrade the core library: https://gerrit.wikimedia.org/r/c/mediawiki/core/+/561430
Once merged and deployed to wikis, it will be ready to use.

santhosh claimed this task.Jan 3 2020, 3:34 AM
santhosh triaged this task as Medium priority.

Change 561430 had a related patch set uploaded (by Siebrand; owner: Santhosh):
[mediawiki/core@master] resources: Upgrade jquery.i18n from 1.0.5 to 1.0.7

https://gerrit.wikimedia.org/r/561430

Change 561430 merged by jenkins-bot:
[mediawiki/core@master] resources: Upgrade jquery.i18n from 1.0.5 to 1.0.7

https://gerrit.wikimedia.org/r/561430

LucasWerkmeister closed this task as Resolved.Mar 21 2020, 2:37 PM

This has been deployed now :)